Skip to main content
GET
/
api
/
commerce
/
catalog
/
products
/
{id}
Get a catalog product
curl --request GET \
  --url https://app.vaultgraph.com/api/commerce/catalog/products/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.vaultgraph.com/api/commerce/catalog/products/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.vaultgraph.com/api/commerce/catalog/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "title": "<string>",
    "categories": [
      "<string>"
    ],
    "price_range": {
      "min": {
        "amount": 123,
        "currency": "<string>"
      },
      "max": {
        "amount": 123,
        "currency": "<string>"
      }
    },
    "variants": [
      {
        "id": "<string>",
        "product_id": "<string>",
        "title": "<string>",
        "price": {
          "amount": 123,
          "currency": "<string>"
        },
        "availability": {
          "available": true
        },
        "sku": "<string>",
        "list_price": {
          "amount": 123,
          "currency": "<string>"
        },
        "media": [
          {
            "type": "<string>",
            "url": "<string>",
            "alt_text": "<string>",
            "width": 123,
            "height": 123
          }
        ],
        "image_url": "<string>",
        "url": "<string>"
      }
    ],
    "brand": "<string>",
    "description": "<string>",
    "media": [
      {
        "type": "<string>",
        "url": "<string>",
        "alt_text": "<string>",
        "width": 123,
        "height": 123
      }
    ],
    "image_url": "<string>",
    "list_price_range": {
      "min": {
        "amount": 123,
        "currency": "<string>"
      },
      "max": {
        "amount": 123,
        "currency": "<string>"
      }
    },
    "url": "<string>"
  }
}
{
"error": "<string>",
"detail": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Response

Product detail

data
object